Package com.mouseviator.fsuipc

# Enum FSUIPCWrapper.FSUIPCResult

java.lang.Object
java.lang.Enum<FSUIPCWrapper.FSUIPCResult>
com.mouseviator.fsuipc.FSUIPCWrapper.FSUIPCResult

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<FSUIPCWrapper.FSUIPCResult>`, `java.lang.constant.Constable`

Enclosing class:
  FSUIPCWrapper

    public static enum FSUIPCWrapper.FSUIPCResult
    extends java.lang.Enum<FSUIPCWrapper.FSUIPCResult>

An enumeration of known result codes, that can be returned by calls to `FSUIPCWrapper.read(int, int, byte[])`, `FSUIPCWrapper.write(int, int, byte[])`, `FSUIPCWrapper.process()`. Use `FSUIPCWrapper.getResult()` to get the last result value.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `FSUIPC_ERR_ATOM` | Failed to create Atom for mapping filename
  `FSUIPC_ERR_DATA` | IPC request contains bad data
  `FSUIPC_ERR_MAP` | Failed to create a file mapping object
  `FSUIPC_ERR_NODATA` | Call cannot execute: no requests accumulated
  `FSUIPC_ERR_NOFS` | Cannot link to FSUIPC or WideClient
  `FSUIPC_ERR_NOTOPEN` | Attempted to call Process() but the FSUIPC link has not been opened.
  `FSUIPC_ERR_OK` | No error
  `FSUIPC_ERR_OPEN` | Attempt to Open() when connection is already open.
  `FSUIPC_ERR_REGMSG` | Failed to Register common message with Windows
  `FSUIPC_ERR_RUNNING` | Wrong version of FSUIPC.
  `FSUIPC_ERR_SENDMSG` | IPC SendMessage failed (all retries)
  `FSUIPC_ERR_SIZE` | Read or Write request cannot be added to the shared memory file as the file is full.
  `FSUIPC_ERR_TIMEOUT` | IPC SendMessage timed out (all retries)
  `FSUIPC_ERR_VERSION` | Incorrect version of FSUIPC, or not FSUIPC.
  `FSUIPC_ERR_VIEW` | Failed to open a view to the file map
  `FSUIPC_ERR_WRONGFS` | Flight Sim is not version requested by this application.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static FSUIPCWrapper.FSUIPCResult` | `get​(int value)` | Returns `FSUIPCWrapper.FSUIPCResult` by corresponding int value.
  `int` | `getValue()` |
  `static FSUIPCWrapper.FSUIPCResult` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static FSUIPCWrapper.FSUIPCResult[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FSUIPC_ERR_OK

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_OK
    No error

  - ### FSUIPC_ERR_OPEN

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_OPEN
    Attempt to Open() when connection is already open.

  - ### FSUIPC_ERR_NOFS

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_NOFS
    Cannot link to FSUIPC or WideClient

  - ### FSUIPC_ERR_REGMSG

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_REGMSG
    Failed to Register common message with Windows

  - ### FSUIPC_ERR_ATOM

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_ATOM
    Failed to create Atom for mapping filename

  - ### FSUIPC_ERR_MAP

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_MAP
    Failed to create a file mapping object

  - ### FSUIPC_ERR_VIEW

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_VIEW
    Failed to open a view to the file map

  - ### FSUIPC_ERR_VERSION

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_VERSION
    Incorrect version of FSUIPC, or not FSUIPC.

  - ### FSUIPC_ERR_WRONGFS

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_WRONGFS
    Flight Sim is not version requested by this application.

  - ### FSUIPC_ERR_NOTOPEN

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_NOTOPEN
    Attempted to call Process() but the FSUIPC link has not been opened.

  - ### FSUIPC_ERR_NODATA

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_NODATA
    Call cannot execute: no requests accumulated

  - ### FSUIPC_ERR_TIMEOUT

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_TIMEOUT
    IPC SendMessage timed out (all retries)

  - ### FSUIPC_ERR_SENDMSG

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_SENDMSG
    IPC SendMessage failed (all retries)

  - ### FSUIPC_ERR_DATA

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_DATA
    IPC request contains bad data

  - ### FSUIPC_ERR_RUNNING

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_RUNNING
    Wrong version of FSUIPC. Can also occur if running on WideClient but FSUIPC is not running on server.

  - ### FSUIPC_ERR_SIZE

    public static final FSUIPCWrapper.FSUIPCResult FSUIPC_ERR_SIZE
    Read or Write request cannot be added to the shared memory file as the file is full.

- ## Method Details

  - ### values

    public static FSUIPCWrapper.FSUIPCResult[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static FSUIPCWrapper.FSUIPCResult valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getValue

    public int getValue()
    Returns:
      Integer value of this type.

  - ### get

    public static FSUIPCWrapper.FSUIPCResult get​(int value) throws java.security.InvalidParameterException
    Returns `FSUIPCWrapper.FSUIPCResult` by corresponding int value.
    Parameters:
      `value` - String value corresponding to one of enumeration constants.
    Returns:
      `FSUIPCWrapper.FSUIPCResult` by corresponding int value.
    Throws:
      `java.security.InvalidParameterException` - if value not corresponding to any enumeration value is passed.